DeveloperAPI ReferenceLibrariesLibraryidItemsItemidMetadata
/api/libraries/{libraryId}/items/{itemId}/metadata
Path Parameters
libraryId*string
Library ID
itemId*string
Item ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/libraries/string/items/string/metadata" \ -H "Content-Type: application/json" \ -d '{ "fields": { "property1": { "value": "string" }, "property2": { "value": "string" } } }'{
"item": {
"id": "string",
"libraryId": "string",
"title": "string",
"metadata": {
"property1": null,
"property2": null
},
"certification": "string",
"status": "active",
"addedAt": "string",
"updatedAt": "string",
"files": [
{
"id": "string",
"libraryId": "string",
"uri": "string",
"filename": "string",
"extension": "string",
"fileInfo": {
"property1": null,
"property2": null
},
"mimeType": "string",
"type": "media",
"classification": "string",
"itemId": "string",
"status": "active",
"edition": "string",
"partNumber": 0,
"size": 0,
"duration": 0,
"createdAt": "string",
"updatedAt": "string",
"assets": {
"property1": "string",
"property2": "string"
},
"assetAspects": {
"property1": "string",
"property2": "string"
},
"mediaKind": "video",
"chapters": [
{
"id": "string",
"fileId": "string",
"startTime": 0,
"endTime": 0,
"role": "intro",
"title": "string",
"source": "string",
"metadata": {
"property1": null,
"property2": null
},
"createdAt": "string",
"updatedAt": "string",
"assets": {
"property1": "string",
"property2": "string"
}
}
]
}
],
"assets": {
"property1": "string",
"property2": "string"
},
"assetAspects": {
"property1": "string",
"property2": "string"
},
"linkedEntities": [
{
"id": "string",
"type": "string",
"name": "string",
"role": "string",
"sortOrder": 0,
"linkMetadata": {
"property1": null,
"property2": null
},
"assets": {
"property1": "string",
"property2": "string"
},
"assetAspects": {
"property1": "string",
"property2": "string"
}
}
],
"playback": {
"completed": true,
"position": 0,
"duration": 0
}
},
"fieldSources": {
"property1": [
{
"value": null,
"source": "string",
"confidence": 0
}
],
"property2": [
{
"value": null,
"source": "string",
"confidence": 0
}
]
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}